• Post Reply Bookmark Topic Watch Topic
  • New Topic

jsp error

 
sree_prasad
Greenhorn
Posts: 8
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hello all,

I am facing this issue when I try to run my application on Lomboz and hit the url ( http://localhost:8080/Application/home.do ).





bad class file: C:\Program Files\Java\jre1.5.0_12\lib\rt.jar(java/lang/Object.class)
class file has wrong version 49.0, should be 48.0
Please remove or make sure it appears in the correct subdirectory of the classpath.
public final class eaLayout_jsp extends org.apache.jasper.runtime.HttpJspBase
^
1 error


org.apache.jasper.compiler.DefaultErrorHandler.javacError(DefaultErrorHandler.java:127)
org.apache.jasper.compiler.ErrorDispatcher.javacError(ErrorDispatcher.java:351)
org.apache.jasper.compiler.Compiler.generateClass(Compiler.java:415)
org.apache.jasper.compiler.Compiler.compile(Compiler.java:458)
org.apache.jasper.compiler.Compiler.compile(Compiler.java:439)
org.apache.jasper.JspCompilationContext.compile(JspCompilationContext.java:553)
org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:291)
org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:301)
org.apache.jasper.servlet.JspServlet.service(JspServlet.java:248)
javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1063)
org.apache.struts.tiles.TilesRequestProcessor.doForward(TilesRequestProcessor.java:263)
org.apache.struts.tiles.TilesRequestProcessor.processTilesDefinition(TilesRequestProcessor.java:239)
org.apache.struts.tiles.TilesRequestProcessor.processForwardConfig(TilesRequestProcessor.java:302)
org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:229)
org.apache.struts.action.ActionServlet.process(ActionServlet.java:1194)
org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:414)
javax.servlet.http.HttpServlet.service(HttpServlet.java:743)
javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
org.apache.struts.action.RequestProcessor.doForward(RequestProcessor.java:1063)
org.apache.struts.tiles.TilesRequestProcessor.doForward(TilesRequestProcessor.java:263)
org.apache.struts.action.RequestProcessor.processForwardConfig(RequestProcessor.java:386)
org.apache.struts.tiles.TilesRequestProcessor.processForwardConfig(TilesRequestProcessor.java:318)
org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:229)
org.apache.struts.action.ActionServlet.process(ActionServlet.java:1194)
org.apache.struts.action.ActionServlet.doGet(ActionServlet.java:414)
javax.servlet.http.HttpServlet.service(HttpServlet.java:743)
javax.servlet.http.HttpServlet.service(HttpServlet.java:856)
com.cisco.icw.pdr.wrapper.http.ICWPDRHttpServletRequestFilter.doFilter(ICWPDRHttpServletRequestFilter.java:37)
org.springframework.orm.hibernate3.support.OpenSessionInViewFilter.doFilterInternal(OpenSessionInViewFilter.java:174)
org.springframework.web.filter.OncePerRequestFilter.doFilter(OncePerRequestFilter.java:76)
com.cisco.is.commons.localization.servlet.filters.RBMLocaleFilter.doFilter(RBMLocaleFilter.java:127)
com.cisco.is.commons.localization.servlet.filters.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:100)


The strange thing is that when I try to run the application on elipse 3.2 I do not any error. The application runs perfectly fine.

Would really appreciate if anybody could help me on this issue.

Thank you.
 
Vijitha Kumara
Bartender
Posts: 3952
21
Chrome Fedora Hibernate
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
bad class file: C:\Program Files\Java\jre1.5.0_12\lib\rt.jar(java/lang/Object.class)
class file has wrong version 49.0, should be 48.0


Have you pre-compiled JSPs? Then there may have a version compatibility of the Java between application server and the one you used to compile the JSP.

 
Swaroop Reddy
Ranch Hand
Posts: 34
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Are you using any IDE,if so let me know
 
sree_prasad
Greenhorn
Posts: 8
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
i get this error when i use Lomboz ide but when i use normal eclipse 3.2 ide I do no face any issue.
 
Swaroop Reddy
Ranch Hand
Posts: 34
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi SreePrasad
I dont know any thing about Lomboz .As per my knowledge check the properties of the project in your IDE by right clicking on it ,under that check Java compiler,under that check whether the compiler complience level is matching your java version or not.I had faced the problem so many times in myecllipse i did the same it's working fine with myeclipse IDE.try with Lomboz IDE ,all the best
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!